package com.jkcredit.invoice.service.nocar;

import com.jkcredit.invoice.model.entity.waybill.NoCarCompanyManger;
import com.jkcredit.invoice.model.vo.OperatorEditConfirmVo;
import com.jkcredit.invoice.model.vo.OperatorEditVo;
import com.jkcredit.invoice.model.vo.OperatorEvidenceVo;
import com.jkcredit.invoice.model.vo.OperatorSendCodeVo;
import com.jkcredit.invoice.util.RespR;

/**
 * 无车企业开票人接口
 */
public interface NoCarCompanyMangerOper {

   RespR companyDetailAdd(NoCarCompanyManger noCarCompanyManger);

   RespR operatorEdit(OperatorEditVo operatorEditVo);

    RespR operatorEditConfirm(OperatorEditConfirmVo operatorEditConfirmVo);

    RespR operatorEvidence(OperatorEvidenceVo operatorEvidenceVo);

    RespR operatorSendCode(OperatorSendCodeVo operatorSendCodeVo);

    RespR operatorValidCode(OperatorSendCodeVo operatorSendCodeVo);
}
