package com.jkcredit.invoice.model.entity.waybill;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jkcredit.invoice.model.BaseMode;
import lombok.Data;

/**
 * 企业经办人信息
 */
@Data
@TableName(value = "t_nocar_company_manger")
public class NoCarCompanyManger extends BaseMode{

    @TableId(type = IdType.INPUT)
    private String companyNum;

    /**
     * 经办人姓名
     */
    private String operatorName;

    /**
     * 经办人手机号
     */
    private String operatorMobile;

    /**
     * 经办人身份证
     */
    private String identificationId;

    /**
     * 经办人姓名
     */
    private String operatorNameTemp;

    /**
     * 经办人手机号
     */
    private String operatorMobileTemp;

    /**
     * 经办人身份证
     */
    private String identificationIdTemp;

    /**
     * 附件名称
     */
    private String contractFileName;

    /**
     * 附件
     */
    private String base64Str;

    /**
     * 状态 1-成功 2- 待输入验证码
     */
    private String status;
}
